PServiceMacro Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PServiceMacro:

## Public Member Functions

| PServiceMacro (const char *name, PBoolean isBlock)
| PServiceMacro (const PCaselessString &name, PBoolean isBlock)
Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual PString | Translate (PHTTPRequest &request, const PString &args, const PString &block) const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

const char * | macroName
PBoolean | isMacroBlock
PServiceMacro * | link

## Static Protected Attributes

static PServiceMacro * | list

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

## PServiceMacro() [1/2]

PServiceMacro::PServiceMacro | ( | const char * | name,
|  | PBoolean | isBlock
| ) |  |

## PServiceMacro() [2/2]

PServiceMacro::PServiceMacro | ( | const PCaselessString & | name,
|  | PBoolean | isBlock
| ) |  |

## Member Function Documentation

## Compare()

Comparison PServiceMacro::Compare | ( | const PObject & | obj | ) | const

virtual

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PObject.

## Translate()

virtual PString PServiceMacro::Translate | ( | PHTTPRequest & | request,
|  | const PString & | args,
|  | const PString & | block
| ) |  | const

virtual

## Member Data Documentation

## isMacroBlock

PBoolean PServiceMacro::isMacroBlock

protected

## link

PServiceMacro* PServiceMacro::link

protected

## list

PServiceMacro* PServiceMacro::list

static protected

## macroName

const char* PServiceMacro::macroName

protected

The documentation for this class was generated from the following file:

- httpsvc.h